Subject: Re: bug#29072: guix system: error: qemu-CVE-2017-7493.patch: patch not found

From: Leo Famulari <[email-masked]>
Date: Wed, 1 Nov 2017 22:44:40 -0400

On Wed, Nov 01, 2017 at 10:40:47PM -0400, myglc2 wrote:
> On 11/01/2017 at 11:27 Leo Famulari writes:
> 
> > On Wed, Nov 01, 2017 at 10:40:28AM -0400, myglc2 wrote:
> >> Binary file ./gnu/packages/qemu.go matches		 
> >
> > Try deleting this compiled qemu.go and then try again.
> 
> Thank you Leo.
> 
> I deleted ./gnu/packages/qemu.go and re-ran make.
> 
> Make failed to regenerate ./gnu/packages/qemu.go
> 
> So now I am really confused.

The 'gnu/packages/qemu.scm' file was removed from Guix in July 2017,
with commit 59132b800093e486e4d81aed6b837e9ac76aa86c. The QEMU packages
were moved into 'gnu/packages/virtualization.scm'.

I'm not an Autotools expert, but in cases like this I usually try `make
clean && ./configure --localstatedir=/var && make`. Did you try
something like that yet?